
import 'dart:async';

import 'package:flutter/services.dart';

class FlutterSklearnPlugin {
  static const MethodChannel _channel = MethodChannel('flutter_sklearn_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  @override
  Future<String?> prepareSklearnModel() async {
    return _channel.invokeMethod('prepare_sklearn_model');
  }

  @override Future<String?> sklearnModelPredict({
  required dynamic features}) async{
    final String? tone = await _channel.invokeMethod('sklearn_model_predict',{'features':features
    });
    return tone;
  }


}
